Status: Closed Start date: 01/12/2021
Priority: Urgent Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

All other issues are resolved.
Agreement from our zoom call dated 19th Jan 2022;

1.Ame to discuss with IT to see what their SOP says about the allowable size of the downloaded files, if it's possible not to put a limit on
size of uploaded files.

2.Ame to remove one admin dashboard and leave just 1.

3.Ame to give update on how far the IT is with resolving the ODK ISSUE; creating space on the ODK server to allow downloading of
images to the EDC server. Once that is resolved the clinic team to resume the UAT and see if they are able to view the ODK sent images
on the EDC.

4.Ame to remove PID list on the ODK and only allow PID selection by "SEARCH"

5.Ame to Update the Note to file form on the ODK for the infant and maternal to use the same form just like as she did for clinician notes
and lab results.

h1. UAT FEEDBACK ON ABOVE

1. Large file managed to be uploaded. 49 pages

2. Only one admin dashboard for ODK remained now. all sent images seen on admin during testing.
3. IT work in progress to expand ODK server size to enable ODK to function.

4. PIDs list still available.

5. Note to file searched PID for infants still not activated. only maternal one appears on search.

Others tests

6. Test server for ODK ERROR when pulling new blank forms- Sever Requires Authentification.

7. Yellow screen when saving infant note to file (NTF) attachment BUT when you go back and check it, the images showed it is saved.
See attached PDF.

8. YellOW screen when attaching and saving maternal omang. No omang image shows like a yellow screen error noted above for infant
NTF.

Related issues:
Copied from Bhp085:-TshiloDikotla - Bug # 5560: TD ODK archive Project Closed 01/12/2021

History

#1 - 28/01/2022 12:09 - Samuel Wilson Kgole
- Copied from Bug #5560: TD ODK archive Project added
#2 - 02/02/2022 15:35 - Justine Legbedze
- Subject changed from TD ODK archive Project to TD ODK Archive Project

Recap from our 02-Feb-22 call with DMC (Sam, Justine, Ame, and Coulson):

We are revising Sam's feedback for Ame to resolve items 7 and 8 by 03-Feb. Once resolved, the team will UAT and close out by end of day. This will allow
the study team to upload hard copies of study documents directly to the EDC.

Also, per our call, Coulson will send an update email to the TD study Pls and team regarding the state of ODK. Per Coulson, IT was unsuccessful with
creating the clone aggregate server for the current TD ODK app to release images and then send to the EDC. They have also contacted the ODK support
team for additional assistance but have not been successful. This issue has been ongoing for about 2 months and does not seem to have a workable
solution at this time.

Thus, DMC has come up with an alternative solution to develop an in-house EDC app that will function similarly to the ODK app, where study teams can
capture images and send them directly to the EDC (removing the need for the intermediate ODK server). The timeline for developing and implementing this
new EDC app and functionality is estimated at 2-3 weeks (by end of Feb). During week 1, 2 DMC developers will create the prototype app (by 11-Feb).
Then in weeks 2-3, the DMC team will work with TD study team to demonstrate the functionality of the app as well as UAT in the EDC test environment. If

all goes according to schedule, then the app should go live no later than 28-Feb.

In the meantime, per Coulson, the TD study team should no longer use the ODK app to capture images as of today, 02-Feb. Once Ame fixes items 7 and 8
from Sam's feedback above, we can use the hard copies to upload directly into the EDC. However, images that have been captured from mid-Dec 2021
through present-day are still currently stored in the ODK app (not the gallery) on 3 devices (per Sam). This is estimated at roughly 30 participants with
around 4-5 images per participant. Coulson will explore if there is a way to retrieve these images from the ODK app and transfer them to the new EDC app,
but there may be a possibility that the study team will need to recapture these images (either through the EDC app or by copying directly into the EDC).

As a last resort option (if plans outlined above do not meet timelines), then we will need to re-assess engaging with the BHP archives team (Moscow) for

archiving study documents through the "Mine" system.

#3 - 04/02/2022 11:49 - Samuel Wilson Kgole
- File Screenshot 2022-02-04 at 11.35.33.png added
- Status changed from New to Closed

The two issues are now fine, all ODK files are upload-able. See attached screenshot.

NB: Omang is encrypted, one can download but to open you need access password, bravo to that.

This can be now deployed to live server.

Files

Screenshot 2022-02-04 at 11.35.33.png 57.9KB 04/02/2022 Samuel Wilson Kgole
